aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/tools/testing/selftests/drivers
diff options
context:
space:
mode:
authorShalom Toledo <shalomt@mellanox.com>2020-02-27 08:50:17 +0100
committerDavid S. Miller <davem@davemloft.net>2020-02-27 11:10:15 -0800
commit4240dbd8f384cbe227ee654b46f2dd711326eec1 (patch)
treef8caec143b2869abcd229b8fcfddbb659381062b /tools/testing/selftests/drivers
parentselftests: devlink_lib: Add devlink port helpers (diff)
downloadwireguard-linux-4240dbd8f384cbe227ee654b46f2dd711326eec1.tar.xz
wireguard-linux-4240dbd8f384cbe227ee654b46f2dd711326eec1.zip
selftests: mlxsw: Add mlxsw lib
Add mlxsw lib for common defines, helpers etc. Signed-off-by: Shalom Toledo <shalomt@mellanox.com> Signed-off-by: Ido Schimmel <idosch@mellanox.com> Signed-off-by: Jiri Pirko <jiri@mellanox.com> Signed-off-by: David S. Miller <davem@davemloft.net>
Diffstat (limited to 'tools/testing/selftests/drivers')
-rw-r--r--tools/testing/selftests/drivers/net/mlxsw/mlxsw_lib.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tools/testing/selftests/drivers/net/mlxsw/mlxsw_lib.sh b/tools/testing/selftests/drivers/net/mlxsw/mlxsw_lib.sh
new file mode 100644
index 000000000000..cbe50f260a40
--- /dev/null
+++ b/tools/testing/selftests/drivers/net/mlxsw/mlxsw_lib.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0
+
+##############################################################################
+# Defines
+
+if [[ ! -v MLXSW_CHIP ]]; then
+ MLXSW_CHIP=$(devlink -j dev info $DEVLINK_DEV | jq -r '.[][]["driver"]')
+ if [ -z "$MLXSW_CHIP" ]; then
+ echo "SKIP: Device $DEVLINK_DEV doesn't support devlink info command"
+ exit 1
+ fi
+fi